#
# spec file for package megactl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           megactl
Version:        0.4.1
Release:        2.1
Summary:        Controlling LSI megaraid adapters
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://megactl.sourceforge.net
Source0:        http://sourceforge.net/projects/megactl/files/megactl/%{version}%%20beta%%20source%%20package/megactl-%{version}.tar.gz
Source1:        http://sourceforge.net/projects/megactl/files/megactl/%{version}%%20beta%%20source%%20package/megactl-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This project is a small collection of programs for examining configuration and
status of LSI megaraid adapters, especially Dell PERC RAID adapters, and
attached storage devices.

%prep
%setup -q

%build
cd src
# make all
%if %{__isa_bits} == 64
make %{?_smp_mflags} ARCH="-m64 %{optflags}" megactl megasasctl
%else
make %{?_smp_mflags} ARCH="-m32 %{optflags}" megactl megasasctl
%endif

%install
cd src
mkdir -p %{buildroot}%{_sbindir}
#install -m755 megactl megarpt megasasctl megasasrpt %%{buildroot}%%{_sbindir}/
install -m755 megactl megasasctl %{buildroot}%{_sbindir}/

%files
%defattr(-,root,root)
%doc AUTHOR COPYING README
%{_sbindir}/megactl
%{_sbindir}/megasasctl

%changelog
* Sat Jan  2 2016 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
- Add gpg signature
- Use optflags when building
- Fix building on x86_64
* Mon Aug 30 2010 lars@linux-schulserver.de
- initial version 0.4.1
